{
  description = "tumblr RSS feed fixer";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        devShell = pkgs.mkShell {
          buildInputs = [
            pkgs.leiningen
            pkgs.jdk11
            pkgs.clojure
            pkgs.ffmpeg-full
          ];
          shellHook = ''
            alias repl='lein repl';
            alias record='ffmpeg -video_size 1024x768 -framerate 25 -f x11grab -i :0.0 -f alsa -ac 2 -i hw:0 output.mkv';
            alias convert='ffmpeg -i '
          '';
        };
      });
}
